# Uses of Class
java.io.InvalidObjectException

Packages that use InvalidObjectException
Package
Description
java.awt.font
Provides classes and interface relating to fonts.
java.io
Provides for system input and output through data streams, serialization and the file system.
java.text
Provides classes and interfaces for handling text, dates, numbers, and messages in a manner independent of natural languages.

- ## Uses of InvalidObjectException in java.awt.font

  Methods in java.awt.font that throw InvalidObjectException
  Modifier and Type
  Method
  Description
  `protected Object`
  TextAttribute.`readResolve()`
  Resolves instances being deserialized to the predefined constants.

- ## Uses of InvalidObjectException in java.io

  Methods in java.io that throw InvalidObjectException
  Modifier and Type
  Method
  Description
  `void`
  ObjectInputStream.`registerValidation(ObjectInputValidation obj, int prio)`
  Register an object to be validated before the graph is returned.
  `void`
  ObjectInputValidation.`validateObject()`
  Validates the object.

- ## Uses of InvalidObjectException in java.text

  Methods in java.text that throw InvalidObjectException
  Modifier and Type
  Method
  Description
  `protected Object`
  AttributedCharacterIterator.Attribute.`readResolve()`
  Resolves instances being deserialized to the predefined constants.
  `protected Object`
  DateFormat.Field.`readResolve()`
  Resolves instances being deserialized to the predefined constants.
  `protected Object`
  MessageFormat.Field.`readResolve()`
  Resolves instances being deserialized to the predefined constants.
  `protected Object`
  NumberFormat.Field.`readResolve()`
  Resolves instances being deserialized to the predefined constants.